commit e15fe0e1e6accf779caeb1179a8d62161c0aa650
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Thu Jul 5 17:44:02 2012 +0200

    Fix handling of DeviceN images in level 3 PostScript

    bug #51548

 poppler/PSOutputDev.cc |   14 --------------
 1 file changed, 14 deletions(-)

commit 02c4e6bf4cc0f5535946fe31815081a40b1de986
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 29 01:56:55 2012 +0200

    PSOutputDev: Correct %%DocumentCustomColors

    Bug 51479

 poppler/PSOutputDev.cc |   20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit f7990386d268a444c297958e9c50ed27a0825a00
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 28 00:18:07 2012 +0200

    Add some security checks to JPXStream decoding

    Fixes crash in broken/fuzzed pdf sent by Mateusz "j00ru" Jurczyk
    and Gynvael Coldwind

 poppler/JPXStream.cc |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit c5c6eed1623506e1206e89cee0b7c887d815ba62
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 24 23:43:03 2012 +0200

    Change SplashBitmap gmallocn to gmallocn_checkoverflow

    Fixes abort in KDE bug #302372

 splash/Splash.cc       |   37 +++++++++++++++++++++++--------------
 splash/SplashBitmap.cc |   18 +++++++++++-------
 2 files changed, 34 insertions(+), 21 deletions(-)

commit c87738ee234aafc6eda5a263ad789205037020e1
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun Jun 24 20:20:38 2012 +0200

    copy resources content defined in the pages dict

    Fixes bug #51369

 poppler/PDFDoc.cc |   16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 6cdf879e389f05abba30b3fad8083b7fff23056e
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sun Jun 24 11:48:04 2012 +0200

    qt4: Do not hang on malformed /Annots objects

    Don't recurse infinitely if the /Annots object contains annotation
    dictionaries (according to specs, /Annots must contain *references*
    to annotation dictionaries).

    Fixes bug #51361

 qt4/src/poppler-annotation.cc |    5 +++++
 1 file changed, 5 insertions(+)

commit 3575becd60585324bcefc0631b1bac47c1db3c5c
Author: Mark Brand <mabrand@mabrand.nl>
Date:   Thu Jun 14 20:31:26 2012 +0200

    fix typo to compile in Windows

 poppler/GlobalParamsWin.cc |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 06618065c8a97a5bec125560546b98edfc1210f3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 11 15:17:59 2012 +0200

    Add some security checks to JBIG2Stream decoding

    Fixes crash in broken/fuzzed pdf sent by Mateusz "j00ru" Jurczyk
    and Gynvael Coldwind

 poppler/JBIG2Stream.cc |   58
 ++++++++++++++++++++++++++++++++++++------------
 1 file changed, 44 insertions(+), 14 deletions(-)

commit e3fe88df3646a80945210ba426eb4681a98b55e9
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jun 10 19:44:18 2012 +0200

    Check value of first page in linearization table

    Fixes crash in broken/fuzzed pdf sent by Mateusz "j00ru" Jurczyk
    and Gynvael Coldwind

 poppler/Linearization.cc |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1240eee8c0d0d01113443e0fda87721775a76da9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 10 20:42:55 2012 +0200

    0.20.1

 CMakeLists.txt      |    4 ++--
 NEWS                |   25 +++++++++++++++++++++++++
 configure.ac        |    2 +-
 cpp/Doxyfile        |    2 +-
 poppler/Makefile.am |    2 +-
 qt4/src/Doxyfile    |    2 +-
 6 files changed, 31 insertions(+), 6 deletions(-)

commit c783037619e2b4c101e8ecd7e61c94ee077b4be2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 10 20:15:01 2012 +0200

    Update copyrights

 poppler/GlobalParamsWin.cc |    1 +
 1 file changed, 1 insertion(+)

commit f3f9d8f28a97338da92c842d5668b0ef3495ef13
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 10 19:09:17 2012 +0200

    Do use NULL function

    Fixes crash in broken/fuzzed pdf sent by Mateusz "j00ru" Jurczyk
    and Gynvael Coldwind

 poppler/Gfx.cc |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 92ef16e3699da949c80716c3fd4b438fe79c134d
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun Jun 10 16:58:54 2012 +0200

    use setoverprintmode only if rip knows it

 poppler/PSOutputDev.cc |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 99aa734ae2d3ba51f840d4c8ef450488fb702a31
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Thu May 24 23:17:27 2012 +0200

    qt4: Keep page rotation into account when normalizing annotation
    coords

    If the page is rotated by 90 or 270 degrees, width and height need
    to be swapped

 qt4/src/poppler-annotation.cc |   16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit bde31ce7b223abc86d25e06f3d73668b792c70df
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sat Jun 9 01:31:29 2012 +0200

    Fix saving to xml

    The default icon is Note not comment

 qt4/src/poppler-annotation.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9904b8f10abf068a7816bd90976ccbb320387645
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu May 24 18:24:48 2012 +0930

    glib docs: fix typo

 glib/poppler-document.cc |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 028f580056f99719cfb8af7bbe8184ceac02cb16
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun May 13 21:36:36 2012 +0930

    add sustitute font name to GlobalParamsWin32 to fix compilation

 poppler/GlobalParamsWin.cc |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 1916d000a86336213ffd6e9bd44ce873e8955895
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat May 12 16:31:38 2012 +0930

    Include substitute font name in system font cache

    Bug 49826

 poppler/FontInfo.cc     |    1 +
 poppler/GlobalParams.cc |   58
 ++++++++++++++++++++++++++---------------------
 2 files changed, 33 insertions(+), 26 deletions(-)

commit 1c6e84555572a6bf3a2e3fbe9a54b40f11c122ad
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Fri May 18 16:22:46 2012 +0200

    qt4: Make TextAnnotation ctor public

 qt4/src/poppler-annotation.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e504bf2543621973fdaddbd29055ce435540146
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed May 16 23:49:01 2012 +0300

    pdfseparate.1: Syntax fixes.

 utils/pdfseparate.1 |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9f7d919e68a26bb7dd809986d8394fe20b750bd0
Author: Anthony Wesley <awesley@smartnetworks.com.au>
Date:   Thu May 17 19:54:47 2012 +0200

    Fix logic on SplashBitmap::writeImgFile

 splash/SplashBitmap.cc |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7e7997e12faccf4c0513811b324a2fd0fa960a96
Author: Igor Slepchin <igor.slepchin@gmail.com>
Date:   Tue May 15 23:16:27 2012 +0200

    Determine if font is bold or italic based on FontDescriptor.

    Bug #49758

 utils/HtmlFonts.cc     |   24 ++++++++++++++++++------
 utils/HtmlFonts.h      |    3 ++-
 utils/HtmlOutputDev.cc |    4 +---
 3 files changed, 21 insertions(+), 10 deletions(-)

commit 329bb1e2b4f4b58832847bcf805d19ac0fd5ef02
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun May 13 19:45:55 2012 +0200

    glib: Make sure password is always converted to latin1

    Remove the utf8 validation since glib API is supposed to always
    receive
    utf8 strings.

 glib/poppler-document.cc |   38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 7714b4e319c48ee915061a172208245ae7c4141b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun May 13 19:30:17 2012 +0200

    glib: Fix memory leak when document fails to load

 glib/poppler-document.cc |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 13d2aa303eb1fd900f1045efec14af8002477b02
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun May 13 17:25:15 2012 +0200

    remove unnecesary transparency group handling in splash

    Bug #13487

 poppler/Gfx.cc             |   64
 +++++++++++++++++++++++++++++++++++++++++++-
 poppler/Gfx.h              |    4 ++-
 poppler/GfxState.cc        |    4 ++-
 poppler/OutputDev.h        |    1 +
 poppler/SplashOutputDev.cc |   11 ++++++++
 poppler/SplashOutputDev.h  |    1 +
 6 files changed, 82 insertions(+), 3 deletions(-)

commit a76867003a7bff5ab03016156c75b4c928788d50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 13 13:10:40 2012 +0200

    Distribute cmake/modules/FindLCMS2.cmake

    Bug #49818

 Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit 4114c928fa2560937e02319f57937f1c267a9817
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 10 21:09:14 2012 +0200

    0.20.0

 CMakeLists.txt      |    6 +++---
 NEWS                |   16 ++++++++++++++++
 configure.ac        |    4 ++--
 cpp/Doxyfile        |    2 +-
 poppler/Makefile.am |    2 +-
 qt4/src/Doxyfile    |    2 +-
 6 files changed, 24 insertions(+), 8 deletions(-)

commit df05d084cb26807c39695280cd8ea52d13aa1255
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 10 20:54:13 2012 +0200

    Bring back the begin/endMarkedContent virtuals

    For those evil people that keep using poppler internals

 poppler/Gfx.cc       |    8 ++++++++
 poppler/OutputDev.cc |    8 +++++++-
 poppler/OutputDev.h  |    4 +++-
 3 files changed, 18 insertions(+), 2 deletions(-)

commit b6159fea4a13ecfd1c38b3a666a797c5147dd952
Author: William Bader <williambader@hotmail.com>
Date:   Thu May 10 20:02:19 2012 +0200

    splash uses cmykTransferC for M, Y and K in two places

 splash/Splash.cc |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit c2146219d555cab277906daefd2589f9056f536c
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:   Thu May 10 13:26:18 2012 +0200

    Add missing function parameter

 poppler/GlobalParams.cc |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 753f6ab9347f972223ec21b7ed4b4f7ebed3d420
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 3 15:29:57 2012 -0700

    Compile with ENABLE_PLUGINS defined

 poppler/SecurityHandler.cc |    4 ++--
 poppler/SecurityHandler.h  |   16 ++++++++++++++++
 poppler/XpdfPluginAPI.cc   |   35 +----------------------------------
 poppler/XpdfPluginAPI.h    |   34 +++++++++++++++-------------------
 4 files changed, 34 insertions(+), 55 deletions(-)

commit 23df93aaf495428b580bafd0fd1f41515828b08d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 3 14:50:09 2012 -0700

    We don't support the keyBinding concept

    remove wrong merge

 poppler/GlobalParams.cc |    1 -
 1 file changed, 1 deletion(-)

commit e55838b41959acc311e9b00dc390c9816a9afac2
Author: Jason <jasongross9+bugzilla@gmail.com>
Date:   Wed May 2 19:35:26 2012 +0200

    glib: Use delete[] to free array allocated with new[]

    https://bugs.freedesktop.org/show_bug.cgi?id=48447

 glib/poppler-document.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dec873463b06bfe76ff48e36282877e6ac11b59d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 23:36:57 2012 +0200

    Add the objUint type

 poppler/Object.cc |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 50c0b294d08114920a5db711876e20d991f474a6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 22:33:09 2012 +0200

    Make sure the index to dcHuffTables and acHuffTables is in bounds

    Found in a fuzzed pdf sent by Mateusz "j00ru" Jurczyk and Gynvael
    Coldwind

 poppler/Stream.cc |    3 +++
 1 file changed, 3 insertions(+)

commit 9e36206465289c96cb189c648a6f5121714c647b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 22:18:12 2012 +0200

    include for memcpy

 splash/SplashBitmap.cc |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 931051fe0bb445545355027d999515bc3d4b32ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 22:07:34 2012 +0200

    Make sure the index for refLine is in bounds

    Found in a fuzzed pdf sent by Mateusz "j00ru" Jurczyk and Gynvael
    Coldwind

 poppler/Stream.cc |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 53b9c2e2806320d0d0e35134b75da5da72514742
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 22:00:18 2012 +0200

    Just call getNum if isNum is true

    Found in a fuzzed pdf sent by Mateusz "j00ru" Jurczyk and Gynvael
    Coldwind

 poppler/Link.cc |   17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit da8d858c4fc610718a5f14b14dc3a4a11564a73d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 20:28:37 2012 +0200

    Do not access args[-1]

    Found in a fuzzed pdf sent by Mateusz "j00ru" Jurczyk and Gynvael
    Coldwind

 poppler/Gfx.cc |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 934b1a7cd502fe5537a350cdfc650989992693f7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 19:59:15 2012 +0200

    Do not access invalid lookup indexes

    Found by Mateusz "j00ru" Jurczyk and Gynvael Coldwind

 poppler/GfxState.cc |   13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit e80fd082914fe29fad7e60c321a747eb8634e413
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 18:27:41 2012 +0200

    [qt4] the qualified name may be unicode encoded

 qt4/src/poppler-form.cc |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 251be1787a2a003862691f5a825eb3468eceb6a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 18:26:42 2012 +0200

    Fix getFullyQualifiedName with unicode field names

    Based on a patch from Mark Riedesel.
    Bug #49256

 poppler/Form.cc |   71
 +++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 61 insertions(+), 10 deletions(-)

commit be41f1c7905d695d17e19ced83a1018531d00199
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 29 16:02:45 2012 +0200

    SplashOutputDev: Fix rendering of knockout groups

    Bug #12185

 poppler/SplashOutputDev.cc |   31 ++++++++++++++++++++++++++++---
 splash/Splash.cc           |   21 ++++++++++++++++++---
 splash/Splash.h            |    6 ++++--
 splash/SplashBitmap.cc     |   22 +++++++++++++++++++++-
 splash/SplashBitmap.h      |    2 ++
 5 files changed, 73 insertions(+), 9 deletions(-)

commit 800cb9ec7189a539d64b99fa181cd4126496c1ec
Author: Thomas Freitag <Thomas.Freitag@kabelmail.de>
Date:   Sat Apr 28 17:15:30 2012 +0200

    Reconstruct xref table if xref needed but missing

    Bug #40719

 poppler/XRef.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 410822d7013ce1f61325afdb61d75ea64666755e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 27 01:10:22 2012 +0200

    0.19.4

 CMakeLists.txt      |    4 ++--
 NEWS                |   17 +++++++++++++++++
 configure.ac        |    2 +-
 cpp/Doxyfile        |    2 +-
 poppler/Makefile.am |    2 +-
 qt4/src/Doxyfile    |    2 +-
 6 files changed, 23 insertions(+), 6 deletions(-)

commit b1d5c6c0a20a4a24b42de66db23e0f63d10ca52d
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Tue Apr 24 21:00:11 2012 +0200

    Output XRef stream when incrementally updating if there's already
    a XRef stream

 poppler/PDFDoc.cc |   45 +++++++++++++++++++++++++++++--
 poppler/XRef.cc   |   76
 +++++++++++++++++++++++++++++++++++++++++++++--------
 poppler/XRef.h    |   34 ++++++++++++++++++++++++
 3 files changed, 142 insertions(+), 13 deletions(-)

commit 2ecf3b2e49a4c35e995d25016b810592260edfeb
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Tue Apr 24 18:10:15 2012 +0200

    Refactoring of XRef table write support (in preparation for XRef
    stream write support)

     - Trailer dictionary creation now lives in its own function
     "createTrailerDict"
       (that will be used by XRef stream creation too)
     - writeXRefTableTrailer (WAS writeTrailer) now takes care of writing
     the XRef
       table too (previously it was demanded to the caller)

 poppler/PDFDoc.cc |   61
 ++++++++++++++++++++++++++---------------------------
 poppler/PDFDoc.h  |   14 +++++++++---
 poppler/XRef.cc   |    2 +-
 poppler/XRef.h    |    2 +-
 utils/pdfunite.cc |   10 +++++----
 5 files changed, 49 insertions(+), 40 deletions(-)

commit cf7a20adbd15f901d414ce06825459c33eeef3f5
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Apr 25 18:51:23 2012 +0200

    Fix slow rendering of pdf with a lot of image masks in pattern
    colorspace

    Makes it around 8 times faster

 poppler/CairoOutputDev.cc  |    6 +++---
 poppler/CairoOutputDev.h   |    6 +++---
 poppler/Gfx.cc             |    4 ++--
 poppler/OutputDev.cc       |    5 +++--
 poppler/OutputDev.h        |    6 +++---
 poppler/PSOutputDev.cc     |    4 ++--
 poppler/PSOutputDev.h      |    4 ++--
 poppler/SplashOutputDev.cc |   35 +++++++++++------------------------
 poppler/SplashOutputDev.h  |    4 ++--
 9 files changed, 31 insertions(+), 43 deletions(-)

commit 26fd142a3608283fd41e07b54067a51a9db76e93
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sat Apr 21 18:16:46 2012 +0200

    Preserve z-index after annotation removal

 poppler/Annot.cc |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 7b10014c1fe9ef1cba57fd6b01c63129ac31386a
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sat Apr 21 17:53:22 2012 +0200

    Do not remove appearance stream if it's shared with other annotations

 poppler/Annot.cc |   78
 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 poppler/Annot.h  |    6 +++++
 2 files changed, 80 insertions(+), 4 deletions(-)

commit 7684c325929493ad9de01a891de0aef197e176dd
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sat Apr 21 20:26:49 2012 +0200

    AnnotText: Always force 24x24 size with custom stamps, not only on
    first rendering

 poppler/Annot.cc |   21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 44cd46a6e04a87bd702dab4a662042f69f16c4ad
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 23 20:02:55 2012 +0200

    Do not try to access nPatches - 1 if nPatches is 0

    Found by Mateusz "j00ru" Jurczyk and Gynvael Coldwind

 poppler/GfxState.cc |   20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit a92f87b83e3c6c9078508c644aa09f4f2b14e9cc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 23 00:06:18 2012 +0200

    Do not complain if the entry is missing

    Since we are actually looking for non existing entries :D

 poppler/XRef.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 114e113e3278d02baaffd6c0da7fda266283c176
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sat Apr 21 21:08:55 2012 +0200

    Do not allocate XRef entries whose generation number is 65535

 poppler/XRef.cc |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ad8785b053aa115b593b2f20073e2989d59a77c9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 18 22:51:33 2012 +0200

    Remove duplicate call

 utils/pdftohtml.cc |    1 -
 1 file changed, 1 deletion(-)

commit 80d4e1843c56801508f476fed64ecb3201ba18c8
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Tue Apr 17 20:25:57 2012 +0200

    Do not draw border in AnnotText::draw

 poppler/Annot.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1e3d868ccd7fb84d52d94754d8681c97119fb6e
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Fri Mar 30 21:52:04 2012 +0200

    Save/restore gfx state when drawing annot border

 poppler/Gfx.cc |    3 +++
 1 file changed, 3 insertions(+)

commit 7fbeaac5c0d0240564add6c252c1ba7c14639d98
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 17 20:36:51 2012 +0200

    Be sure we are checking a non free entry

 poppler/XRef.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1254c7e8e995302542093968a0c2967f3c0b5ff
Author: Thomas Freitag <Thomas.Freitag@kabelmail.de>
Date:   Tue Apr 17 20:36:03 2012 +0200

    Do not complain if the entry does not exist

    XRef::getNumEntry is only trying to find which entry a given stream
    pos belongs so no need to cry if the entry is not there
    Bug 48679

 poppler/XRef.cc |   10 ++++++----
 poppler/XRef.h  |    2 +-
 2 files changed, 7 insertions(+), 5 deletions(-)

commit bcbe9497a4fa50b41852abd538ad139c7b6693e5
Author: suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
Date:   Tue Apr 17 20:21:58 2012 +0200

    Copying graphics library CFLAGS to cpp frontend Makefile.am.

    Because poppler-image.cpp includes PNGWriter.h, JpegWriter.h,
    TiffWriter.h,
    CFLAGS to include libpng, libjpeg and libtiff headers are expected.

 cpp/Makefile.am |   22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 44c9df8277877ee1021317a3b6c253f80310f826
Author: suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
Date:   Tue Apr 17 20:21:00 2012 +0200

    Do not clear FREETYPE_CFLAGS, FREETYPE_LIBS before PKG_CHECK_MODULES()

    Although configure --help says as if environmental variables
    FREETYPE_CFLAGS and FREETYPE_LIBS will overwrite the values obtained
    by pkg-config. But it is not. These help messages are automatically
    given
    by pkg-config macro (so I guess no poppler developer designed so
    intentionally).

    In current configure, FREETYPE_CFLAGS, FREETYPE_LIBS are cleared
    before
    PKG_CONFIG_MODULES(), like:

            dnl Check for freetype headers
            FREETYPE_LIBS=
            FREETYPE_CFLAGS=

            PKG_CHECK_MODULES(FREETYPE, freetype2,
                              [freetype_pkgconfig=yes],
                              [freetype_pkgconfig=no])

            if test "x$freetype_pkgconfig" = "xyes"; then

              AC_DEFINE(HAVE_FREETYPE_H, 1, [Have FreeType2 include
              files])

            else

              AC_PATH_PROG(FREETYPE_CONFIG, freetype-config, no)
            [...]

    Checking the history why these values are cleared, it seems that
    the initial revision of poppler did not use pkg-config to detect
    FREETYPE_CFLAGS, _LIBS. At that time, only freetype-config is used.
    In later, when PKG_CHECK_MODULES is introduced, it was accidentally
    introduced AFTER the clearning of FREETYPE_CFLAGS,_LIBS. As a result,
    the inconsistency between "configure --help" and what configure does
    really. I propose to move the clearance of FREETYPE_CFLAGS,_LIBS
    just before AC_PATH_PROG, to make PKG_CHECK_MODULES catch the
    environmental
    values.

 configure.ac |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9e0f0368e543df46b40cbd7bed6fdc1abf846e7d
Author: suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
Date:   Tue Apr 17 20:19:41 2012 +0200

    Do not append "-ansi" to CXXFLAG, if "-std=XXX" is already specified.

    SplashOutputDev.cc uses isfinite() function (defined by math.h).
    isfinite() was standardized in C99, and imported to C++0x in later.

    In QNX header file system, isfinite() is disabled by default,
    the definition of __STDC_VERSION__ > 199901 is required to enable it.
    In the case of GCC, "-std=c99" (for C) or "-std=gnu++0x" (for C++)
    is expected.

    But, current configure of poppler appends "-ansi" flag for CXXFLAGS,
    if the compiler is known to be GNU. "-ansi" is C89 or C++98,
    so isfinite()
    is unavailable. I propose a patch NOT to "-ansi" flag, if CXXFLAGS
    includes "-std=XXX" already.

 configure.ac |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 2f1e7ef252b8d1f7ee6004825c2926f0f5e181a5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 23:11:41 2012 +0200

    Do not crash in broken documents

    They might trigger an xref reconstruct and then i could not be in
    bounds anymore
    Crash found by Joel Voss of Leviathan Security Group

 poppler/XRef.cc |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit 19fb9caecb1b265a8b8651e9bcf4b779f593fefd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 22:24:50 2012 +0200

    Fix crash when the destination file does not exist

    Issue found by Joel Voss of Leviathan Security Group

 utils/HtmlOutputDev.cc |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit fa4848eae370437ab1b9863124e9a340830f66c7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Apr 13 22:11:01 2012 +0930

    man pages: add missing section heading

 utils/pdftotext.1 |    1 +
 1 file changed, 1 insertion(+)

commit 08a14aa37b177bb4586869857ae678cb4bcd4039
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 21:52:30 2012 +0200

    0.19.3

 CMakeLists.txt         |    4 ++--
 NEWS                   |   26 +++++++++++++++++++++++++-
 configure.ac           |    2 +-
 cpp/Doxyfile           |    2 +-
 poppler/Makefile.am    |    2 +-
 qt4/src/CMakeLists.txt |    2 +-
 qt4/src/Doxyfile       |    2 +-
 qt4/src/Makefile.am    |    2 +-
 8 files changed, 33 insertions(+), 9 deletions(-)

commit 52227b59d1fa2a2029bfff2f8a167efd81faebbb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 20:52:55 2012 +0200

    Update (C)

 poppler/CairoFontEngine.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40cb3f27f4dcad4fe8c48f0b638eac7913fc3722
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 20:50:38 2012 +0200

    Do not pass those params to createGfx since they aren't used

 glib/poppler-page.cc |    4 ++--
 poppler/Page.cc      |    9 +++------
 poppler/Page.h       |    5 ++---
 3 files changed, 7 insertions(+), 11 deletions(-)

commit 9a10d31fca7f060f24bae9efe15662f02a9684ca
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Thu Apr 12 20:31:23 2012 +0200

    qt4: Remove unimplemented revision setters from public API

 qt4/src/poppler-annotation-private.h |    2 ++
 qt4/src/poppler-annotation.cc        |   62
 ++++++++--------------------------
 qt4/src/poppler-annotation.h         |   13 -------
 3 files changed, 16 insertions(+), 61 deletions(-)

commit 0531329aeb8783c48f056929e6e81cebda33500f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 20:07:13 2012 +0200

    [qt4] Mark the dummy stuff as deprecated

 qt4/src/poppler-annotation.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 67b7b2bdd0943680437d96349c3415aa40082cbb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 20:06:52 2012 +0200

    [qt4] initialize the dummy members here too

 qt4/src/poppler-annotation.cc |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bf171382afb6b50284c3855e3a1815a15ec34366
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 19:24:42 2012 +0200

    Add since markers

 qt4/src/poppler-annotation.h |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit e36fd775394ee752c0f62f789359c72b52094975
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 12 18:58:29 2012 +0200

    Remove unneeded forward declaration

 qt4/src/poppler-qt4.h |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit c1aa4a8c0aa9d46757e3849776acac42731e02d1
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Thu Apr 12 00:39:33 2012 +0200

    qt4: Annotation appearance invalidation

    Call Annot::invalidateAppearance every time the visual aspect
    is changed

 qt4/src/poppler-annotation.cc |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 4338ae354c66e4df8d7d70a156517e27b3b80539
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sun Mar 25 22:58:33 2012 +0200

    qt4: Added HideAnnotations option to PSConverter

 qt4/src/poppler-ps-converter.cc |   23 ++++++++++++++++++++++-
 qt4/src/poppler-qt4.h           |    3 ++-
 2 files changed, 24 insertions(+), 2 deletions(-)

commit e50993b3b47a759c93ccdeeaef289d6985b05bb1
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Thu Mar 22 19:58:12 2012 +0100

    qt4: DOM annotation store - Black color is different than invalid
    color

 qt4/src/poppler-annotation.cc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4739a6a02097f110c37defdfa616351459902806
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Mon Mar 19 19:17:33 2012 +0100

    qt4: Annotation removal

 qt4/src/poppler-annotation-private.h |    3 +++
 qt4/src/poppler-annotation.cc        |   29 +++++++++++++++++++++++++++++
 qt4/src/poppler-page.cc              |    5 +++++
 qt4/src/poppler-qt4.h                |    8 ++++++++
 4 files changed, 45 insertions(+)

commit 25a64d69aaab61c8cf944107e649e19920244a2b
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Tue Mar 20 01:46:07 2012 +0100

    qt4: TextAnnotation write support + basic textFont getter

    Also makes inplaceText a synoym for contents

 qt4/src/poppler-annotation.cc |  159
 ++++++++++++++++++++++++++++++++---------
 1 file changed, 124 insertions(+), 35 deletions(-)

commit a31a8118ba07aa7f90c69130476fb7d86f8614ad
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sun Mar 11 23:57:51 2012 +0100

    qt4: GeomAnnotation, InkAnnotation and CaretAnnotation write support

 qt4/src/poppler-annotation.cc |  103
 +++++++++++++++++++++++++++++++++++++----
 qt4/src/poppler-annotation.h  |    6 +--
 2 files changed, 96 insertions(+), 13 deletions(-)

commit e4052b52002447772e24571fd13f0f22fd2bfb16
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Sat Mar 10 17:48:56 2012 +0100

    qt4: HighlightAnnotation and StampAnnotation write support

 qt4/src/poppler-annotation.cc |   96
 ++++++++++++++++++++++++++++++++++++++---
 qt4/src/poppler-annotation.h  |    4 +-
 2 files changed, 91 insertions(+), 9 deletions(-)

commit b5e948b6130cdb04387a8244179337c7904dcd03
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Wed Mar 14 17:44:50 2012 +0100

    qt4: Annotation insertion and LineAnnotation support

    This patch adds Page::addAnnotation to insert new annotations in
    a page.
    The only annotation type that can be added is LineAnnotation. Support
    for other
    types will be added in the next patches.

 qt4/src/poppler-annotation-private.h |   12 ++
 qt4/src/poppler-annotation.cc        |  297
 ++++++++++++++++++++++++++++++++--
 qt4/src/poppler-annotation.h         |    4 +-
 qt4/src/poppler-page.cc              |    5 +
 qt4/src/poppler-qt4.h                |    9 ++
 5 files changed, 316 insertions(+), 11 deletions(-)

commit 20b4feec612448be8a800173ddadbf257657477e
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Fri Mar 9 19:31:16 2012 +0100

    qt4: Basic setters to edit annotations

 qt4/src/poppler-annotation-helper.h  |   15 ++++
 qt4/src/poppler-annotation-private.h |    1 +
 qt4/src/poppler-annotation.cc        |  128
 +++++++++++++++++++++++++++++++---
 3 files changed, 135 insertions(+), 9 deletions(-)

commit 0e8c35b59f0fba926b30c9a87823c92ae03bf116
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:   Fri Mar 9 01:04:28 2012 +0100

    qt4: Changes to Annotation API (part 2/2)

    1) Moved annotation data retrieval logic to getters for types of
    annotations
    that will be made editable in next patches.
